source SLIDEUI.tcl

proc CreateLightPathUI { parent name } {

    if { $parent == {} } {
	set root ".slf_[subst $name]"
    } elseif { $parent == "." } {
	set root ".slf_[subst $name]"
    } else {
	set root "$parent.slf_[subst $name]"
    }

    toplevel $root

    ##################################################
    # On/Off

    set onoffFrame [CreateOnOffFrame $name $root]

    ##################################################
    # Light Z

    set lightZ [CreateScale $name $root light_z "Light Z" \
	    1.0 1.0 2.0 0.01 1 horizontal]

    ##################################################
    # Light Radius

    set lightRadius [CreateScale $name $root light_r "Light Radius" \
	    0.36 0.0 2.0 0.01 1 horizontal]

    ##################################################
    # Light Angle

    set lightAngle [CreateScale $name $root light_angle "Light Angle" \
	    0 0 720 1 1 horizontal]

    ##################################################
    # Target Radius

    set targetRadius [CreateScale $name $root target_r "Target Radius" \
	    0.18 0.0 2.0 0.01 1 horizontal]

    ##################################################
    # Target Angle

    set targetAngle [CreateScale $name $root target_angle "Target Angle" \
	    0 0 720 1 1 horizontal]

    pack $onoffFrame $lightZ $lightRadius $lightAngle $targetRadius $targetAngle -side top -fill x
}
